设为首页收藏本站

晓东CAD家园-论坛

 找回密码
 立即注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

查看: 85|回复: 0

关于LISP TRANS函数不接受坐标大于1.0E+99的问题

[复制链接]

已领礼包: 145个

财富等级: 日进斗金

发表于 2021-1-16 00:56:49 | 显示全部楼层 |阅读模式

马上注册,结交更多好友,享用更多功能,让你轻松玩转社区。

您需要 登录 才可以下载或查看,没有帐号?立即注册

x
问题:

Problem with LISP (trans) function not accepting coordinates larger/greater than 1.0E+99

解答:

In Visual LISP, you will get an error if you use the TRANS function with a large input value - For example, type the following LISP expression at the command prompt:

(trans (0.0 0.0 3.0e+099) 0 1)

To solve this issue, best thing is to use the ActiveX TranslateCoordinates() method of the Utility class.

The following code shows how the TranslateCoordinates() method is successful for an input point of (0.0 0.0 3e+99), where…

(trans (0.0 0.0 3e+099) 0 1)

…would fail.
  1. (defun c:Test()
  2.   (vl-load-com)
  3.   (setq poActDoc (vla-get-ActiveDocument (vlax-get-acad-object)))
  4.   (setq poUtility(vla-get-Utility poActDoc))
  5.   (setq poTestPoint (vlax-3d-point '(0.0 0.0 3e+99)))
  6.   (setq poRetPoint(vla-TranslateCoordinates poUtility poTestPoint acUCS acWORLD 0))
  7.   (princ (vlax-safearray->list (vlax-variant-value poRetPoint)))
  8.   (princ)
  9. )


论坛插件加载方法
发帖求助前要善用【论坛搜索】功能,那里可能会有你要找的答案;
如果你在论坛求助问题,并且已经从坛友或者管理的回复中解决了问题,请把帖子标题加上【已解决】;
如何回报帮助你解决问题的坛友,一个好办法就是给对方加【D豆】,加分不会扣除自己的积分,做一个热心并受欢迎的人!
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|申请友链|小黑屋|手机版|Archiver|辽公网安备|晓东CAD家园 ( 辽ICP备15016793号 )  

GMT+8, 2021-3-1 18:14 , Processed in 0.062627 second(s), 12 queries , Gzip On, WinCache On.

Powered by Discuz! X3.4

Copyright © 2001-2020, Tencent Cloud.

快速回复 返回顶部 返回列表